Bug 807432

Summary: Review Request: python-tate-bilinear-pairing - A Python 2/3 library for calculating Tate bilinear pairing
Product: [Fedora] Fedora Reporter: philip.worrall
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: MODIFIED --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: rawhideCC: homer.xing, msuchy, package-review, philip.worrall
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-07-21 09:28:21 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 177841    

Description philip.worrall 2012-03-27 15:05:38 EDT
Hello, 

I have packaged up the python take bilinear pairing library.

Spec URL: http://www.freefilehosting.net/python-tate-bilinear-pairing 
SRPM URL: http://www.freefilehosting.net/python-tate-bilinear-pairing-023-1fc15src 
Description: This package is a Python 2 library for calculating Tate bilinear pairing, especially on super-singular elliptic curve $E:y^2=x^3-x+1$ in affine
coordinates defined over a Galois Field $GF(3^m)$.

This is a package in response to https://bugzilla.redhat.com/show_bug.cgi?id=796640.

Regards, Phil
Comment 1 homerxing 2012-03-30 07:47:16 EDT
Great work :)
Comment 2 Mario Blättermann 2012-08-26 16:49:22 EDT
(In reply to comment #0) 
> Spec URL: http://www.freefilehosting.net/python-tate-bilinear-pairing 
> SRPM URL:
> http://www.freefilehosting.net/python-tate-bilinear-pairing-023-1fc15src 
Please don't provide your files via such a file hoster. Just use Dropbox or anything similar. I don't want to type captchas again and again. In any case, we need locations which are directly downloadable.
Comment 3 Mario Blättermann 2012-08-26 16:50:36 EDT
BTW, are you still a packager? If not, add "FE-NEEDSPONSOR" in the "Blocks:" field.
Comment 4 Mario Blättermann 2012-08-26 16:53:07 EDT
*** Bug 796640 has been marked as a duplicate of this bug. ***
Comment 5 Mario Blättermann 2012-09-15 14:52:49 EDT
As far as I can see, you are not in the packagers group. Adding FE-NEEDSPONSOR.

If you are not willing to maintain the package in Fedora, please let us know.
Comment 6 Mario Blättermann 2012-10-04 06:08:10 EDT
Any news...?
Comment 7 philip.worrall 2012-10-11 21:49:19 EDT
Im not currently a packager, still looking for a sponsor.
Comment 8 Michael Schwendt 2012-12-16 05:45:36 EST
I've been unable to download the packages to take a look.

Please notice the following: https://fedoraproject.org/wiki/Join_the_package_collection_maintainers#Upload_Your_Package

Of course, the rest of the page is worth reading, too.

It's also highly recommended that you try to review your own package with the help of the Review Guidelines page, commenting on steps like the output of rpmlint and a test-build:
https://fedoraproject.org/wiki/Packaging:ReviewGuidelines

https://fedoraproject.org/wiki/Package_Review_Process#Contributor
Comment 9 Miroslav Suchý 2015-07-21 09:28:21 EDT
Closing due long inactivity. Feel free to reopen if you want to continue.
Comment 10 philip.worrall 2015-10-04 14:52:32 EDT
Greetings,

I would like to try and pursue this again as I now have a bit more time having finished my PhD. 

I would also appreciate if someone from the sponsors group would sponsor me as this would be my first package upload to fedora.

The package contains a python library for calculating tate bi-linear pairing and includes both python2 and python3 sub-packages. In order to run without warnings I have added a couple of patches to fix a couple of utf8 encoding issues where the documentation contains non-ascii characters but upstream do not set the proper encoding. Both such patches have been sent upstream by email (this is noted in the spec file)

I have attached my review and details of the files included in the package (the output from rpmls). I have tried to follow the general packaging guidelines and those specific to packaging python modules.


My FAS username: worralph
SPEC file: https://worralph.fedorapeople.org/python-tate_bilinear_pairing.spec

Copr repo (where i have built this package for rawhide):
https://copr.fedoraproject.org/coprs/worralph/python/build/123871/


Package Review (based on the fedora-review template with my own comments). I have left fields blank that i am unsure of and need a bit of help.
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[X ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[X]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 16 files have unknown license. Detailed
     output of licensecheck in /home/makerpm/python-
     tate_bilinear_pairing/licensecheck.txt


[-]: License file installed when any subpackage combination is installed.
[X]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/python2.7/site-
     packages/tate_bilinear_pairing(python-tate_bilinear_pairing,
     python2-tate_bilinear_pairing)
[-]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[X]: Package consistently uses macros (instead of hard-coded directory
     names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[X]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[X]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[X]: Python eggs must not download any dependencies during the build
     process.
[X]: A package which is used by another package via an egg interface should
     provide egg info.
[X]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[X]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.

     PW: I have sent an email about this.

[X]: Final provides and requires are sane (see attachments).
[ ]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-tate_bilinear_pairing , python3-tate_bilinear_pairing
[X]: Package functions as described.

     PW: the testsuite passes for both py2 and py3
   
[X]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[X]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.

     PW: i have made to patches both of which i have sent upstream. 
     The patches are used to correct minor utf8 encoding issues.

[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[X]: Package should compile and build into binary rpms on all supported
     architectures.
[X]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python2-tate_bilinear_pairing-0.6-1.fc21.noarch.rpm
          python3-tate_bilinear_pairing-0.6-1.fc21.noarch.rpm
          python-tate_bilinear_pairing-0.6-1.fc21.src.rpm
python2-tate_bilinear_pairing.noarch: W: spelling-error %description -l en_US et -> ET, wt, rt
python2-tate_bilinear_pairing.noarch: W: spelling-error %description -l en_US al -> AL, la, Al
python3-tate_bilinear_pairing.noarch: W: spelling-error %description -l en_US et -> ET, wt, rt
python3-tate_bilinear_pairing.noarch: W: spelling-error %description -l en_US al -> AL, la, Al
python-tate_bilinear_pairing.src: W: spelling-error %description -l en_US et -> ET, wt, rt
python-tate_bilinear_pairing.src: W: spelling-error %description -l en_US al -> AL, la, Al
3 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
python3-tate_bilinear_pairing.noarch: W: spelling-error %description -l en_US et -> ET, wt, rt
python3-tate_bilinear_pairing.noarch: W: spelling-error %description -l en_US al -> AL, la, Al
python3-tate_bilinear_pairing.noarch: W: invalid-url URL: http://pypi.python.org/pypi/tate_bilinear_pairing/ <urlopen error [Errno -3] Temporary failure in name resolution>
python2-tate_bilinear_pairing.noarch: W: spelling-error %description -l en_US et -> ET, wt, rt
python2-tate_bilinear_pairing.noarch: W: spelling-error %description -l en_US al -> AL, la, Al
2 packages and 0 specfiles checked; 0 errors, 5 warnings.

PW: these are minor spelling errors relating to the et al. in the reference to the paper used by the upstream author.

Requires
--------
python3-tate_bilinear_pairing (rpmlib, GLIBC filtered):
    python(abi)

python2-tate_bilinear_pairing (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python3-tate_bilinear_pairing:
    python3-tate_bilinear_pairing

python2-tate_bilinear_pairing:
    python-tate_bilinear_pairing
    python2-tate_bilinear_pairing



Source checksums
----------------
https://pypi.python.org/packages/source/t/tate_bilinear_pairing/tate_bilinear_pairing-0.6.tar.gz :
  CHECKSUM(SHA256) this package     : 4ad368190140c89b24a85e39fbad3ac9ee83d5e9f3227644d08375fcb9b3dc89
  CHECKSUM(SHA256) upstream package : 4ad368190140c89b24a85e39fbad3ac9ee83d5e9f3227644d08375fcb9b3dc89


Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Command line :/usr/bin/fedora-review --rpm-spec -n rpmbuild/SRPMS/python-tate_bilinear_pairing-0.6-1.fc21.src.rpm
Buildroot used: fedora-21-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


rpmls python2-tate_bilinear_pairing-0.6-1.fc21.noarch.rpm

drwxr-xr-x  /usr/lib/python2.7/site-packages/tate_bilinear_pairing
-rw-r--r--  /usr/lib/python2.7/site-packages/tate_bilinear_pairing-0.6-py2.7.egg-info
-rw-r--r--  /usr/lib/python2.7/site-packages/tate_bilinear_pairing/__init__.py
-rw-r--r--  /usr/lib/python2.7/site-packages/tate_bilinear_pairing/__init__.pyc
-rw-r--r--  /usr/lib/python2.7/site-packages/tate_bilinear_pairing/__init__.pyo
-rw-r--r--  /usr/lib/python2.7/site-packages/tate_bilinear_pairing/ecc.py
-rw-r--r--  /usr/lib/python2.7/site-packages/tate_bilinear_pairing/ecc.pyc
-rw-r--r--  /usr/lib/python2.7/site-packages/tate_bilinear_pairing/ecc.pyo
-rw-r--r--  /usr/lib/python2.7/site-packages/tate_bilinear_pairing/eta.py
-rw-r--r--  /usr/lib/python2.7/site-packages/tate_bilinear_pairing/eta.pyc
-rw-r--r--  /usr/lib/python2.7/site-packages/tate_bilinear_pairing/eta.pyo
-rw-r--r--  /usr/lib/python2.7/site-packages/tate_bilinear_pairing/f32m.py
-rw-r--r--  /usr/lib/python2.7/site-packages/tate_bilinear_pairing/f32m.pyc
-rw-r--r--  /usr/lib/python2.7/site-packages/tate_bilinear_pairing/f32m.pyo
-rw-r--r--  /usr/lib/python2.7/site-packages/tate_bilinear_pairing/f33m.py
-rw-r--r--  /usr/lib/python2.7/site-packages/tate_bilinear_pairing/f33m.pyc
-rw-r--r--  /usr/lib/python2.7/site-packages/tate_bilinear_pairing/f33m.pyo
-rw-r--r--  /usr/lib/python2.7/site-packages/tate_bilinear_pairing/f36m.py
-rw-r--r--  /usr/lib/python2.7/site-packages/tate_bilinear_pairing/f36m.pyc
-rw-r--r--  /usr/lib/python2.7/site-packages/tate_bilinear_pairing/f36m.pyo
-rw-r--r--  /usr/lib/python2.7/site-packages/tate_bilinear_pairing/f3m.py
-rw-r--r--  /usr/lib/python2.7/site-packages/tate_bilinear_pairing/f3m.pyc
-rw-r--r--  /usr/lib/python2.7/site-packages/tate_bilinear_pairing/f3m.pyo
drwxr-xr-x  /usr/share/doc/python2-tate_bilinear_pairing
-rw-r--r--  /usr/share/doc/python2-tate_bilinear_pairing/README


rpmls python3-tate_bilinear_pairing-0.6-1.fc21.noarch.rpm

drwxr-xr-x  /usr/lib/python3.4/site-packages/tate_bilinear_pairing
-rw-r--r--  /usr/lib/python3.4/site-packages/tate_bilinear_pairing-0.6-py3.4.egg-info
-rw-r--r--  /usr/lib/python3.4/site-packages/tate_bilinear_pairing/__init__.py
drwxr-xr-x  /usr/lib/python3.4/site-packages/tate_bilinear_pairing/__pycache__
-rw-r--r--  /usr/lib/python3.4/site-packages/tate_bilinear_pairing/__pycache__/__init__.cpython-34.pyc
-rw-r--r--  /usr/lib/python3.4/site-packages/tate_bilinear_pairing/__pycache__/__init__.cpython-34.pyo
-rw-r--r--  /usr/lib/python3.4/site-packages/tate_bilinear_pairing/__pycache__/ecc.cpython-34.pyc
-rw-r--r--  /usr/lib/python3.4/site-packages/tate_bilinear_pairing/__pycache__/ecc.cpython-34.pyo
-rw-r--r--  /usr/lib/python3.4/site-packages/tate_bilinear_pairing/__pycache__/eta.cpython-34.pyc
-rw-r--r--  /usr/lib/python3.4/site-packages/tate_bilinear_pairing/__pycache__/eta.cpython-34.pyo
-rw-r--r--  /usr/lib/python3.4/site-packages/tate_bilinear_pairing/__pycache__/f32m.cpython-34.pyc
-rw-r--r--  /usr/lib/python3.4/site-packages/tate_bilinear_pairing/__pycache__/f32m.cpython-34.pyo
-rw-r--r--  /usr/lib/python3.4/site-packages/tate_bilinear_pairing/__pycache__/f33m.cpython-34.pyc
-rw-r--r--  /usr/lib/python3.4/site-packages/tate_bilinear_pairing/__pycache__/f33m.cpython-34.pyo
-rw-r--r--  /usr/lib/python3.4/site-packages/tate_bilinear_pairing/__pycache__/f36m.cpython-34.pyc
-rw-r--r--  /usr/lib/python3.4/site-packages/tate_bilinear_pairing/__pycache__/f36m.cpython-34.pyo
-rw-r--r--  /usr/lib/python3.4/site-packages/tate_bilinear_pairing/__pycache__/f3m.cpython-34.pyc
-rw-r--r--  /usr/lib/python3.4/site-packages/tate_bilinear_pairing/__pycache__/f3m.cpython-34.pyo
-rw-r--r--  /usr/lib/python3.4/site-packages/tate_bilinear_pairing/ecc.py
-rw-r--r--  /usr/lib/python3.4/site-packages/tate_bilinear_pairing/eta.py
-rw-r--r--  /usr/lib/python3.4/site-packages/tate_bilinear_pairing/f32m.py
-rw-r--r--  /usr/lib/python3.4/site-packages/tate_bilinear_pairing/f33m.py
-rw-r--r--  /usr/lib/python3.4/site-packages/tate_bilinear_pairing/f36m.py
-rw-r--r--  /usr/lib/python3.4/site-packages/tate_bilinear_pairing/f3m.py
drwxr-xr-x  /usr/share/doc/python3-tate_bilinear_pairing
-rw-r--r--  /usr/share/doc/python3-tate_bilinear_pairing/README



Thanks.

Phil
Comment 13 William Moreno 2015-10-29 19:22:15 EDT
Do you want to continue with this review?
Comment 14 philip.worrall 2015-11-02 10:11:00 EST
Yes I would like to
Comment 15 William Moreno 2015-11-04 10:07:49 EST
OK 

I will take your request to become a Fedora Packager Maintainer.

Please update your spec to the latest python packaging guidelines:
https://fedoraproject.org/wiki/Packaging:Python

Also I will request to you to done some informal reviews to become familiar with the Fedora Packaging Guidelines.
Comment 16 William Moreno 2016-01-06 12:44:24 EST
Any advance here there is more than a month ago since last update.